#!/usr/bin/zsh
# Make ZSH behave like vim
bindkey -v

# Aliases
alias yay="yay --aur"
alias ls="exa"
alias ll="exa -albh"
alias cat="bat"
alias vim="nvim"
alias find="fd"
alias grep="rg"

# Functions
dotfile() {
    if [[ "$1" = "status" ]]; then
	git --git-dir="$HOME"/.dotfiles/ --work-tree="$HOME" status -uno;
    else
	git --git-dir="$HOME"/.dotfiles/ --work-tree="$HOME" "$@";
    fi
}

# Re-enable reverse-i-search
bindkey '^R' history-incremental-search-backward
